Skip to main content
GET
/
v1
/
reports
/
{id}
Retrieve a Report
curl --request GET \
  --url https://reporter.sandbox.lerian.net/v1/reports/{id} \
  --header 'X-Organization-id: <x-organization-id>'
{
  "id": "0196b268-620d-7d09-afa3-85e4d5369eg3",
  "templateId": "0196b264-24d4-7e0b-ad5c-9028cc05138d",
  "filters": null,
  "status": "Processing",
  "completedAt": "2025-05-09T00:18:27.507Z",
  "createdAt": "2025-05-09T00:18:27.469Z",
  "updatedAt": "2025-05-09T00:18:27.469Z",
  "deletedAt": null
}

Headers

Authorization
string

The authorization token in the 'Bearer ' format.

Important: This header is required if your environment has Access Manager enabled. For more information, refer to the Access Manager documentation.

X-Organization-id
string
required

The unique identifier of the Organization associated with the request.

Path Parameters

id
string
required

Unique identifier for the report that you want to check.

Response

The details of the report.

Information about the report.

id
string

Unique identifier of the report.

templateId
string

Unique identifier of the template used to generate the report.

templateOutputFormat
string

Output format configured on the template used to generate the report.

Example:

"XML"

templateDescription
string

Description configured on the template used to generate the report.

Example:

"Cadoc"

filters
object

Object that defines the filtering criteria applied to the data used in the report. Now supports advanced filtering operators including equality, comparison, range and list-based conditions.

status
enum<string>

The status of the report.

Available options:
PendingExtraction,
Processing,
Finished
createdAt
string

Timestamp marking when this report request was created.

completedAt
string

Timestamp marking when the report processing was completed.

updatedAt
string

Timestamp marking the last update to this report request.

deletedAt
string

Timestamp marking when this report request was soft deleted, if applicable.

metadata
object

An object containing additional information about the report as key-value pairs. Values may be simple strings or nested objects. For failed reports, this object includes an error entry describing the failure (code, title, message, and details).